Debian Bug report logs - #659025
auto-apt: FTBFS on hurd-i386

version graph

Package: src:auto-apt; Maintainer for src:auto-apt is Debian QA Group <packages@qa.debian.org>;

Reported by: Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>

Date: Tue, 7 Feb 2012 14:51:01 UTC

Severity: important

Tags: patch

Found in version auto-apt/0.3.22

Fixed in version auto-apt/0.3.23

Done: Barry deFreese <bdefreese@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-hurd@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#659025; Package src:auto-apt. (Tue, 07 Feb 2012 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>:
New Bug report received and forwarded. Copy sent to debian-hurd@lists.debian.org, Debian QA Group <packages@qa.debian.org>. (Tue, 07 Feb 2012 14:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>
To: submit@bugs.debian.org
Subject: auto-apt: FTBFS on hurd-i386
Date: Tue, 7 Feb 2012 15:49:10 +0100
[Message part 1 (text/plain, inline)]
Source: auto-apt
Version: 0.3.22
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd
X-DebBugs-CC: debian-hurd@lists.debian.org

Hi,

This patch solves the build problems for GNU/Hurd due to PATH_MAX
issues. The solution is to make dynamic string allocations instead of
using fixed length buffers. The patch involves two files.
Parts of the code have been reviewed by GNU/Hurd developers and Debian GNU/Hurd
developers and maintainers.

Thanks,
Tanguy
[fix_FTBFS4Hurd.patch (application/octet-stream, attachment)]

Reply sent to Barry deFreese <bdefreese@debian.org>:
You have taken responsibility. (Tue, 14 May 2013 15:06:05 GMT) Full text and rfc822 format available.

Notification sent to Tanguy LE CARROUR <tanguy.lecarrour@bioneland.org>:
Bug acknowledged by developer. (Tue, 14 May 2013 15:06:05 GMT) Full text and rfc822 format available.

Message #10 received at 659025-close@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: 659025-close@bugs.debian.org
Subject: Bug#659025: fixed in auto-apt 0.3.23
Date: Tue, 14 May 2013 15:02:35 +0000
Source: auto-apt
Source-Version: 0.3.23

We believe that the bug you reported is fixed in the latest version of
auto-apt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659025@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barry deFreese <bdefreese@debian.org> (supplier of updated auto-apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 13 May 2013 18:31:46 -0400
Source: auto-apt
Binary: auto-apt
Architecture: source i386
Version: 0.3.23
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Barry deFreese <bdefreese@debian.org>
Description: 
 auto-apt   - package search by file and on-demand package installation tool
Closes: 659025 667052
Changes: 
 auto-apt (0.3.23) unstable; urgency=low
 .
   * QA upload.
   * Replace PATH_MAX to build on GNU/Hurd. (Closes: #659025).
     - Thanks to Tanguy Le Carrour for the patch.
   * Allow spaces in sources.list. (Closes: #667052).
     - Thanks to Mateusz Poszwa for the patch.
   * Change debian/rules to utilize dh 7.
   * Add debian/manpages file.
   * Bump Standards Version to 3.9.4.
Checksums-Sha1: 
 b1190d3038d32393d06b16eb6db52169e99381d5 787 auto-apt_0.3.23.dsc
 70d9d28e2701e5dca98db059880255a80f07168e 45969 auto-apt_0.3.23.tar.gz
 681cc75ddf1b7584704902248bbc7226e9d8514c 50552 auto-apt_0.3.23_i386.deb
Checksums-Sha256: 
 044b2955095b45da91eb8e2253166fb088310296d997252fffbda92b9b7b59a0 787 auto-apt_0.3.23.dsc
 ba33b335bd659e9138b9c1e5699c2aae5d8d0ba440f7c26815db01376fd0fb4b 45969 auto-apt_0.3.23.tar.gz
 e08ca33a328e4b95841c3073b7dda9fc6c3fb55e8a8567edd3a9a702dc8f488b 50552 auto-apt_0.3.23_i386.deb
Files: 
 d84b4642f5a8e5509dfe2826fb0a417a 787 admin optional auto-apt_0.3.23.dsc
 6dfe9ceda0650bc2d53f1225cbcb7000 45969 admin optional auto-apt_0.3.23.tar.gz
 26c4d867091f24804ba944008e6ba0fd 50552 admin optional auto-apt_0.3.23_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGSGnwACgkQ5ItltUs5T36tqwCglddwiVLa1GHV+6ryz3+/zfjD
XmsAnjuKfRsERxk23BYWQCMr9aB9Q1bT
=CpHT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Jun 2013 07:27:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:32:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.